let result = null;
exports.strToHtml=function(str){
    try{
        result=JSON.parse(str);
    }catch (e){
        result =str;
    }
    if(result && typeof result === 'object'){
        let text='<div>'
        for(let key in result){
            if(typeof result[key] !== 'object' || result[key] === null){
                text=text+'<p>'+key+': '+result[key]+'</p>';
            }else{
                let innerObj = result[key];
                text = text +key+':';
                for(let innerKey in innerObj){
                    text = text + '<p>&nbsp;&nbsp;&nbsp;&nbsp;' +innerKey + ":" +innerObj[innerKey]+'</p>';
                }
            }
        }
        text+='</div>';
        result=text;
    }else if(typeof result === 'string'){
        result='<div>'+result+'</div>';
    }else{
        result="";
    }
    return result;
}
